#include "sys_l4.h"
#include "USART.h"
#include "ESP8266.h"
#include "string.h"

u8* ESP8266_CheckCmd(char* str)//  ַǷ Ҫַ
{
  char *strx=0;
  if(USART1_RX_STA&0x8000)
  {
    USART1_RX_BUF[USART1_RX_STA&0x7fff]=0;
    strx=strstr((const char*)USART1_RX_BUF,(const char*)str);
    
  }
  return (u8*)strx;
}




u8 ESP8266_SendCmd(char *cmd,char *ack,u16 waittime)// cmd =1 
{
  u8 res=0;
  U1Printf("%s\r\n",cmd);
  if(ack&&waittime)
  {
    while(--waittime)
    {
      ysm(10);
      if(USART1_RX_STA&0X8000)
      {
        if(ESP8266_CheckCmd(ack))
        {
          
          U2Printf("ACK:%s    ",(char*)ack);
          break;
        }
        USART1_RX_STA=0;
      }
    }
    if(waittime==0) res=1;
  }
  return res;
}

void ESP8266_Init(void)
{
  ESP8266_SendCmd("AT+CWMODE=2","OK",20);// 1 STATION 2:AP 3:AP&STA
  ESP8266_SendCmd("AT+RST","OK",20);// RESET
  ysm(2000);
//  ESP8266_SendCmd("AT+CIPAP=\"192.168.4.1\"","OK",20); // Set IP    USED IN THE FIRST TIME!!!!
  ESP8266_SendCmd("AT+CWSAP=\"WiFi_Name\",\"Password\",1,3","OK",20);// name PSD chl wap
  ESP8266_SendCmd("AT+CIPMUX=1","OK",20);
  ESP8266_SendCmd("AT+CIPSERVER=1,8086","OK",20);
  ysm(1000);
  ESP8266_SendCmd("AT+CIPSEND=0,7","OK",20);
  U1Printf("HELLO");
}


